fop 1.1

## org.apache.fop.pdf
Class PDFEmbeddedFile

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.AbstractPDFStream
              org.apache.fop.pdf.PDFStream
                  org.apache.fop.pdf.PDFEmbeddedFile

All Implemented Interfaces:
  PDFWritable

    public class PDFEmbeddedFile

extends PDFStream

This class represents an embedded file stream.

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFStream
`data`

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`PDFEmbeddedFile()` Creates a new embedded file stream.

Method Summary
`protected boolean` `isEncodingOnTheFly()` Determine if should encode on the fly.
`protected void` `populateStreamDict(java.lang.Object lengthEntry)` Populates the dictionary with all necessary entries for the stream.

Methods inherited from class org.apache.fop.pdf.PDFStream
`add, getBufferOutputStream, getBufferWriter, getDataLength, getSizeHint, output, outputRawStreamData, setData`

Methods inherited from class org.apache.fop.pdf.AbstractPDFStream
`encodeAndWriteStream, encodeStream, get, getDefaultFilterName, getDictionary, getFilterList, multipleFiltersAllowed, outputStreamData, prepareImplicitFilters, put, setDocument, setupFilterList`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFEmbeddedFile

    public PDFEmbeddedFile()

  Creates a new embedded file stream.

Method Detail

### isEncodingOnTheFly

    protected boolean isEncodingOnTheFly()

  Determine if should encode on the fly.

  Returns:
    true if should encode on the fly

### populateStreamDict

    protected void populateStreamDict(java.lang.Object lengthEntry)

  Populates the dictionary with all necessary entries for the stream. Override this method if you need additional entries.

  Overrides:
    `populateStreamDict` in class `AbstractPDFStream`
  Parameters:
    `lengthEntry` - value for the /Length entry

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.